## python-agate 1.6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/agate.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/agate.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/agate"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/agate"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-agate (1.6.0-3) unstable; urgency=medium

  * Bump standards version to 4.0.0, no changes required
  * Release to unstable

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 12 Jul 2017 10:39:20 +0100

python-agate (1.6.0-2) experimental; urgency=medium

  * Force use of UTF-8 locale when running the tests
  * Fixup the watch regex
  * Build the docs using the upstream Makefile

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 26 May 2017 11:26:58 +0100

python-agate (1.6.0-1) experimental; urgency=low

  * Initial release. (Closes: #850448)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 22 Mar 2017 11:13:13 +0000

=== debian/control ===
Source: python-agate
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python-leather-doc <!nodoc>,
               python3-all,
               python3-babel <!nocheck>,
               python3-cssselect <!nocheck>,
               python3-doc <!nodoc>,
               python3-isodate <!nocheck> <!nodoc>,
               python3-leather <!nocheck> <!nodoc>,
               python3-lxml <!nocheck>,
               python3-parsedatetime <!nocheck> <!nodoc>,
               python3-pytimeparse <!nocheck> <!nodoc>,
               python3-setuptools,
               python3-six <!nocheck>,
               python3-slugify <!nocheck> <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-tz <!nocheck>,
               sphinx-common
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-agate.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-agate.git
Homepage: http://agate.readthedocs.org/
X-Python3-Version: >= 3.3

Package: python3-agate
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-agate-doc <!nodoc>
Description: data analysis library optimized for human readability
 Agate is a Python data analysis library that is optimized for humans instead
 of machines. It is an alternative to numpy and pandas that solves real-world
 problems with readable code.
 .
 Why agate?
 .
   - A readable and user-friendly API.
   - A complete set of SQL-like operations.
   - Unicode support everywhere.
   - Decimal precision everywhere.
   - Exhaustive user documentation.
   - Pluggable extensions that add SQL integration, Excel support, and more.
   - Designed with iPython, Jupyter and atom/hydrogen in mind.
   - Pure Python. No C dependencies to compile.
   - Exhaustive test coverage.
   - MIT licensed and free for all purposes.
   - Zealously zen.
   - Made with love.
 .
 This package provides the modules for Python 3.

Package: python-agate-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for agate
 Agate is a Python data analysis library that is optimized for humans instead
 of machines. It is an alternative to numpy and pandas that solves real-world
 problems with readable code.
 .
 Why agate?
 .
   - A readable and user-friendly API.
   - A complete set of SQL-like operations.
   - Unicode support everywhere.
   - Decimal precision everywhere.
   - Exhaustive user documentation.
   - Pluggable extensions that add SQL integration, Excel support, and more.
   - Designed with iPython, Jupyter and atom/hydrogen in mind.
   - Pure Python. No C dependencies to compile.
   - Exhaustive test coverage.
   - MIT licensed and free for all purposes.
   - Zealously zen.
   - Made with love.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = agate
export PYBUILD_BEFORE_TEST = cp -r {dir}/examples {build_dir}
export PYBUILD_AFTER_TEST = rm -rf {build_dir}/examples

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
	LC_ALL=C.UTF-8 dh_auto_test
endif

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r examples tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; LC_ALL=C.UTF-8 $py -m pytest -v
 ; done
Depends: python3-agate,
         python3-all,
         python3-cssselect,
         python3-lxml,
         python3-pytest

## python-agate 1.6.1

=== debian/changelog ===
python-agate (1.6.1-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * Team upload.
  * New upstream version 1.6.1
  * Refreshing No-privacy-breach.patch.
  * Dropping upstream-integrated Fix-typo-in-shebang.patch.
  * Dropping upstream-integrated Remove-absent-reference-from-the-docs.patch.
  * Setting LC_NUMERIC for dh_auto_test.
  * Removing unused python-agate-doc.lintian-overrides.
  * Adding 'Rules-Requires-Root: no'.
  * Forwarding of patches is not needed.
  * Setting LC_NUMERIC also for autopkgtest.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andrius Merkys <merkys@debian.org>  Mon, 17 Aug 2020 11:10:40 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python-leather-doc <!nodoc>,
@@ -24,10 +24,10 @@
                python3-tz <!nocheck>,
                sphinx-common
 Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-agate.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-agate.git
-Homepage: http://agate.readthedocs.org/
-X-Python3-Version: >= 3.3
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-agate
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-agate.git
+Homepage: https://agate.readthedocs.org/
+Rules-Requires-Root: no
 
 Package: python3-agate
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -26,5 +26,5 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
-	LC_ALL=C.UTF-8 dh_auto_test
+	LC_ALL=C.UTF-8 LC_NUMERIC=C.UTF-8 dh_auto_test
 endif

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py:"
- ; LC_ALL=C.UTF-8 $py -m pytest -v
+ ; LC_ALL=C.UTF-8 LC_NUMERIC=C.UTF-8 $py -m pytest -v
  ; done
 Depends: python3-agate,
          python3-all,

## python-agate 1.6.3

=== debian/changelog ===
python-agate (1.6.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 11:16:54 +0100

python-agate (1.6.3-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Scott Talbert ]
  * Update to new upstream release 1.6.3
  * Add locales BD to fix tests

 -- Scott Talbert <swt@techie.net>  Thu, 11 Nov 2021 18:32:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-agate
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dpkg-dev (>= 1.17.14),
+               locales-all <!nocheck>,
                python-leather-doc <!nodoc>,
                python3-all,
                python3-babel <!nocheck>,
@@ -24,8 +24,8 @@
                python3-tz <!nocheck>,
                sphinx-common
 Standards-Version: 4.0.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-agate
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-agate.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-agate
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-agate.git
 Homepage: https://agate.readthedocs.org/
 Rules-Requires-Root: no

## python-agate 1.9.1

=== debian/changelog ===
python-agate (1.9.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.9.1
  * remove python3-six from build-dep
  * add furo to build-dep
  * refresh patches
  * use new dh-sequence-python3
  * apply 'Multi-Arch: foreign' hint on -doc package

 -- Alexandre Detiste <tchet@debian.org>  Wed, 31 Jan 2024 12:49:30 +0100

python-agate (1.6.3-3) unstable; urgency=medium

  * Team upload.
  [ tony mancill ]
  * Update TZ used in tests for tzdata 2023c-8. Closes: #1052831.

 -- Santiago Vila <sanvila@debian.org>  Sun, 05 Nov 2023 12:20:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                locales-all <!nocheck>,
                python-leather-doc <!nodoc>,
                python3-all,
@@ -17,11 +17,11 @@
                python3-parsedatetime <!nocheck> <!nodoc>,
                python3-pytimeparse <!nocheck> <!nodoc>,
                python3-setuptools,
-               python3-six <!nocheck>,
                python3-slugify <!nocheck> <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-tz <!nocheck>,
+               furo,
                sphinx-common
 Standards-Version: 4.0.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-agate
@@ -58,6 +58,7 @@
 
 Package: python-agate-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/agate-$1\.tar\.gz/ \
https://github.com/wireservice/agate/tags .*/v?(\d\S+)\.tar\.gz

## python-agate 1.13.0

=== debian/changelog ===
python-agate (1.13.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Thu, 09 Oct 2025 23:11:16 +0100

python-agate (1.13.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.13.0
  * d/control: Bump Standards-Version from 4.0.0 to 4.7.2. No changes needed
  * d/watch: Bump version from 3 to 4

 -- Marcos Souza <marcosfas.dev@gmail.com>  Thu, 19 Jun 2025 20:31:11 -0300

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-tz <!nocheck>,
                furo,
                sphinx-common
-Standards-Version: 4.0.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-agate
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-agate.git
 Homepage: https://agate.readthedocs.org/

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export PYBUILD_AFTER_TEST = rm -rf {build_dir}/examples
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
  ; echo "Testing with $py:"
  ; LC_ALL=C.UTF-8 LC_NUMERIC=C.UTF-8 $py -m pytest -v
  ; done
-Depends: python3-agate,
+Depends: locales-all,
+         python3-agate,
          python3-all,
          python3-cssselect,
          python3-lxml,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/agate-$1\.tar\.gz/ \
https://github.com/wireservice/agate/tags .*/v?(\d\S+)\.tar\.gz

## python-agate 1.14.0

=== debian/changelog ===
python-agate (1.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.14.0

 -- Marcos Souza <marcosfas.dev@gmail.com>  Thu, 08 Jan 2026 21:54:41 -0300

python-agate (1.13.0-2) unstable; urgency=medium

  * Team upload.
  * Drop unused python3-tz build-dependency
  * Drop "Rules-Requires-Root: no": it is the default now

 -- Alexandre Detiste <tchet@debian.org>  Wed, 26 Nov 2025 23:36:33 +0100

## python-agate 1.14.1

=== debian/changelog ===
python-agate (1.14.1-1ubuntu1) resolute; urgency=medium

  * Don't install build directory (dh-python issue) (See #1127763)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Feb 2026 21:29:11 +0100

python-agate (1.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.14.1
  * d/control: Add pybuild-plugin-pyproject as a build dependecy

 -- Marcos Souza <marcosfas.dev@gmail.com>  Thu, 29 Jan 2026 22:50:31 -0300

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,6 @@
 ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
 	LC_ALL=C.UTF-8 LC_NUMERIC=C.UTF-8 dh_auto_test
 endif
+
+execute_after_dh_auto_install:
+	rm -rf $(CURDIR)/debian/python3-agate/usr/lib/python3.*/dist-packages/build
